org.eclipse.wst.jsdt.chromium.debug.ui

## Interface DialogUtils.SwitchBase<T>

Type Parameters:
  `T` - type of expression

All Known Subinterfaces:
  DialogUtils.OptionalSwitcher<T>, DialogUtils.Switcher<T>

Enclosing class:
  DialogUtils

    public static interface DialogUtils.SwitchBase<T>

Base interface for 2 types of switchers. The switcher is a logical element that enables/disables its scopes according to the value of its expression.

### Method Summary

All Methods Instance Methods Abstract Methods
`DialogUtils.Scope` `addScope(T tag, DialogUtils.ScopeEnabler scopeEnabler)`
`DialogUtils.Scope` `getOuterScope()`
`DialogUtils.Updater` `getUpdater()`
`DialogUtils.ValueConsumer` `getValueConsumer()`

### Method Detail

#### addScope

    DialogUtils.Scope addScope(T tag,
                               DialogUtils.ScopeEnabler scopeEnabler)

#### getValueConsumer

    DialogUtils.ValueConsumer getValueConsumer()

#### getUpdater

    DialogUtils.Updater getUpdater()

#### getOuterScope

    DialogUtils.Scope getOuterScope()